Subject: [Gen-art] Gen-ART review of IETF LC draft-ietf-tsvwg-udplist-mib-01.txt

From: Miguel Garcia <[email-masked]>
Date: Mon, 24 Sep 2007 21:06:18 +0300

I have been selected as the General Area Review Team (Gen-ART)
reviewer for this draft (for background on Gen-ART, please see
http://www.alvestrand.no/ietf/gen/art/gen-art-FAQ.html).

Please resolve these comments along with any other Last Call comments
you may receive.

Document: draft-ietf-tsvwg-udplist-mib-01.txt
Reviewer: Miguel Garcia <[email-masked]>
Review Date: 2007-09-24
IETF LC End Date: 2007-09-26

Summary: The document is ready for publication as a standard track RFC.

Comments: The document is well written and fortunately contains numerous 
pointers to the baseline UDP MIB specification.

I have a comment with respect the normative statements that appear in 
towards the end of Section 4, using the terms "RECOMMENDED" and "NOT 
RECOMMENDED". The text I refer to is this one:

    Further, deployment of SNMP versions prior to SNMPv3 is NOT
    RECOMMENDED.  Instead, it is RECOMMENDED to deploy SNMPv3 and to
    enable cryptographic security.

I think the text is speaking about *deployment*, not about 
*implementation* of a feature. RFC 2119 only considers implementation, 
but not deployment issues, so in my opinion the upper case should not 
apply. Additionally, please notice that RFC 2119 does not define the 
term "NOT RECOMMENDED", so, it certainly has little meaning in uppercase.

/Miguel
-- 
Miguel A. Garcia           tel:+358-50-4804586
Nokia Siemens Networks     Espoo, Finland

_______________________________________________
Gen-art mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/gen-art

---

From: Miguel Garcia <[email-masked]>
Date: Tue, 25 Sep 2007 16:19:06 +0300

Hi Gerrit:

So, if the current practice for MIBs is to include the text, then I 
guess it has to be included: it has precedence over my comment ;-)

But I still think the boilerplate text is not technically correct, but 
obviously this is not your problem.

/Miguel

Gerrit Renker wrote:
> Quoting Miguel Garcia:
> |  I have a comment with respect the normative statements that appear in 
> |  towards the end of Section 4, using the terms "RECOMMENDED" and "NOT 
> |  RECOMMENDED". The text I refer to is this one:
> |  
> |      Further, deployment of SNMP versions prior to SNMPv3 is NOT
> |      RECOMMENDED.  Instead, it is RECOMMENDED to deploy SNMPv3 and to
> |      enable cryptographic security.
> |  
> |  I think the text is speaking about *deployment*, not about 
> |  *implementation* of a feature. RFC 2119 only considers implementation, 
> |  but not deployment issues, so in my opinion the upper case should not 
> |  apply. Additionally, please notice that RFC 2119 does not define the 
> |  term "NOT RECOMMENDED", so, it certainly has little meaning in uppercase.
> This text is from a boilerplate, which is recommended for use by 
>     "Security Guidelines for IETF MIB Modules" on
>      http://www.ops.ietf.org/mib-security.html
>      (suggested in BCP 111, RFC 4181, App. A (4))
> The text has been copied verbatim, and the same paragraph appears in other
> (MIB-related) RFCs as well, e.g.
> 	* RFC 3584, sec. 8
> 	* RFC 4069, sec. 6
> 	* RFC 4044, sec. 10
> 	* RFC 4318, sec. 8
> 
> I can see your point but it creates a conflict with regard to the suggestions
> of Appendix A in RFC 4181. Please let us know if we can improve this or whether
> this is a more general issue regarding security statements.
> 
> Best regards
> Gerrit Renker

---

From: Gerrit Renker <[email-masked]>
Date: Tue, 25 Sep 2007 13:58:49 +0100

Quoting Miguel Garcia:

Best regards
Gerrit Renker